### Method

# Ide Runtime get_triplet

#### Declaration

    IdeTriplet*
    ide_runtime_get_triplet (
      IdeRuntime* self
    )

#### Description

Gets the architecture triplet of the runtime.

This can be used to ensure we’re compiling for the right architecture given the current device.

Available since: | 3.32

#### Return value

Returns: | `IdeTriplet`
| The architecture triplet the runtime will build for.
| The caller of the method takes ownership of the data, and is responsible for freeing it.